cppgui.hpp File Reference
`#include <gwenhywfar/gui_be.h>`
`#include <gwenhywfar/i18n.h>`
`#include <list>`
`#include <string>`
`#include <gwen-gui-cpp/api.h>`
`#include <gwen-gui-cpp/cppdialog.hpp>`

Go to the source code of this file.

## Data Structures

class | CppGui
| A C++ binding for the C module GWEN_GUI. More...

## Macros

#define | I18N(msg)
#define | I18S(msg)

## Macro Definition Documentation

## I18N

#define I18N | ( |  | msg | ) |

Value:
GWEN_I18N_Translate(PACKAGE, msg)
GWEN_I18N_Translate
GWENHYWFAR_API const char * GWEN_I18N_Translate(const char *textdomain, const char *text)

Definition at line 18 of file cppgui.hpp.

## I18S

#define I18S | ( |  | msg | ) |

Value:
msg

Definition at line 19 of file cppgui.hpp.